#!/bin/bash
rm -f chap6
rm -f chap6_valid
echo ==============================
echo 16-bit Dual-Sum Checksums
echo ----- RANDOM ---------
gcc Chapter6_examples.c support.c chapter6_test.c -o chap6       -DRANDOM     -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap6
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo ----- VALIDATION Seed=0x00 -----
gcc Chapter6_examples.c chapter6_test.c support.c -o chap6_valid -DVALIDATE -DSEED=0x00 -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap6_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION Seed=0x9D -----
gcc Chapter6_examples.c chapter6_test.c support.c -o chap6_valid -DVALIDATE -DSEED=0x9D -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap6_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION Seed=0xFF -----
gcc Chapter6_examples.c chapter6_test.c support.c -o chap6_valid -DVALIDATE -DSEED=0xFF -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap6_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo Build just examples
gcc Chapter6_examples.c  -c -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
echo ==============================